* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #ffffff;
    --second-bg-color: #efefef;
    --text-color: #000000;
    --main-color: #71b4ff;
    --second-color: #9b45eb;
}

html {
    font-size: 60%;
    overflow-x: hidden;
}

body {
    background-color: transparent;
    color: var(--text-color);
}

.header {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    padding: 4rem 15%;
    background-color: rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}

span {
    background: linear-gradient(
            270deg,
            var(--main-color) 10%,
            var(--second-color) 100%
    );
    background-clip: text;
    color: transparent;
}

.navbar a {
    font-size: 1.8rem;
    color: var(--text-color);
    margin-left: 4rem;
    font-weight: 500;
    transition: 0.3s ease-in-out;
    border-bottom: 3px solid transparent;
}

.navbar a:hover {
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
}

.gradient-btn {
    font-size: 1.8rem;
    padding: 1rem 2rem;
    border-radius: 3rem;
    background: linear-gradient(
            270deg,
            var(--main-color),
            var(--second-color)
    );
    letter-spacing: 1px;
    cursor: pointer;
    transition: 0.3s ease-in-out;
    color: #ffffff;
    border: none;
    text-wrap: nowrap;
}

.gradient-btn:hover {
    transform: scale(1.05);
}

section {
    min-height: 100vh;
    padding: 10rem 15%;
}

.heading {
    text-align: center;
    font-size: 7rem;
    margin: 5rem 0;
}

.projekty {
    background-color: transparent;
}

.projekt-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: var(--bg-color);
    border: 2px solid var(--main-color);
    border-radius: 3rem;
    gap: 2rem;
    padding: 5rem 2rem;
    overflow: hidden;
    cursor: pointer;
    box-shadow: 0 0 5px var(--main-color);
    transition: 0.3s ease;
}

.projekt-card img {
    max-width: 300px;
    border-radius: 2rem;
    object-fit: cover;
}

.projekt-card h3 {
    font-size: 3rem;
}

.projekt-card p {
    font-size: 1.6rem;
}



.projekt-card{
    max-width: 900px;
    margin: 0 auto;
    text-align: left;
    padding: 4rem;
    gap: 2rem;
}

.projekt-card img{
    display: block;
    margin: 0 auto 3rem auto;
    max-width: 500px;
    border-radius: 2rem;
    box-shadow: 0 0 25px var(--main-color);
}

.projekt-card h3{
    font-size: 3.2rem;
    margin-bottom: 2rem;
    text-align: center;
}

.projekt-card h2{
    font-size: 2.6rem;
    margin-top: 4rem;
    margin-bottom: 1.5rem;
}

.background{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    overflow:hidden;
    z-index:-1;
    pointer-events: none;
}

/*leva strana*/

.blob{
    position:absolute;
    width:400px;
    height:400px;
    background: linear-gradient(
            270deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.6;

    top:50%;
    left:15%;
    transform:translate(-50%,-50%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 6s infinite ease-in-out;
}

.blob4{
    position: absolute;;
    width:120px;
    height:120px;
    background: linear-gradient(
            190deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.4;

    top:90%;
    left:10%;
    transform:translate(-80%,-80%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 9s infinite ease-in-out;
}
.blob6{
    position: absolute;;
    width:200px;
    height:200px;
    background: linear-gradient(
            180deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.2;

    top:100%;
    left:20%;
    transform:translate(-80%,-80%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 9s infinite ease-in-out;
}
.blob7{
    position: absolute;;
    width:400px;
    height:400px;
    background: linear-gradient(
            180deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.6;

    top:150%;
    left:10%;
    transform:translate(-80%,-80%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 9s infinite ease-in-out;
}



/*prava strana*/

.blob2{
    position:absolute;
    width:300px;
    height:300px;
    background: linear-gradient(
            -270deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.6;

    top:60%;
    left:100%;
    transform:translate(-80%,-80%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 9s infinite ease-in-out;
}
.blob3{
    position: absolute;;
    width:100px;
    height:100px;
    background: linear-gradient(
            180deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.4;

    top:80%;
    left:90%;
    transform:translate(-80%,-80%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 9s infinite ease-in-out;
}
.blob5{
    position: absolute;;
    width:80px;
    height:80px;
    background: linear-gradient(
            180deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.2;

    top:78%;
    left:98%;
    transform:translate(-80%,-80%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 9s infinite ease-in-out;
}
.blob8{
    position: absolute;;
    width:500px;
    height:500px;
    background: linear-gradient(
            180deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.4;

    top:140%;
    left:100%;
    transform:translate(-80%,-80%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 9s infinite ease-in-out;
}
.blob9{
    position: absolute;;
    width:200px;
    height:200px;
    background: linear-gradient(
            180deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.6;

    top:120%;
    left:80%;
    transform:translate(-80%,-80%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 9s infinite ease-in-out;
}
.blob10{
    position: absolute;;
    width:300px;
    height:300px;
    background: linear-gradient(
            180deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.4;

    top:120%;
    left:90%;
    transform:translate(-80%,-80%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 9s infinite ease-in-out;
}
.blob11{
    position: absolute;;
    width:250px;
    height:250px;
    background: linear-gradient(
            180deg,
            var(--main-color),
            var(--second-color)
    );
    opacity:0.6;

    top:120%;
    left:100%;
    transform:translate(-80%,-80%);

    border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;

    animation: blobMove 9s infinite ease-in-out;
}
@keyframes blobMove{

    0%{
        border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;
    }

    50%{
        border-radius: 65% 35% 40% 60% / 60% 40% 60% 40%;
    }

    100%{
        border-radius: 42% 58% 63% 37% / 41% 38% 62% 59%;
    }
    /*0%{
        transform: translateX(-20px);
    }

    100%{
        transform: translateX(60vw);
    }*/
}